#!/bin/sh

DISTANCES="25 50 75 100 125 150 175"
TRIALS=10

echo Simulation Example

pCheck=`which sqlite3`
if [ -z "$pCheck" ]
then
  echo "ERROR: This script requires sqlite3."
  exit 255
fi

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:bin/

if [ -e ../../data.db ]
then
  echo "Kill data.db? (y/n)"
  read ANS
  if [ "$ANS" = "yes" -o "$ANS" = "y" ]
  then
    echo Deleting database
    rm ../../data.db
  fi
fi

for trial in `seq 1 $TRIALS`
do
    export NS_GLOBAL_VALUE="RngRun=$trial"
    for distance in $DISTANCES
    do
	echo Trial $trial, distance $distance
	../../waf --run "Wifi --distance=$distance --run=run-$distance-$trial"
    done
done

mv ../../data.db .
echo "Done; data in data.db ."
